メインコンテンツへスキップ
POST
/
communication-preferences
/
v4
/
statuses
/
batch
/
read
ステータスをバッチ読み取り
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/v4/statuses/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
import requests

url = "https://api.hubapi.com/communication-preferences/v4/statuses/batch/read"

payload = { "inputs": ["<string>"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({inputs: ['<string>']})
};

fetch('https://api.hubapi.com/communication-preferences/v4/statuses/batch/read', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "statuses": [
        {
          "channel": "EMAIL",
          "source": "<string>",
          "subscriberIdString": "<string>",
          "subscriptionId": 123,
          "timestamp": "2023-11-07T05:31:56Z",
          "businessUnitId": 123,
          "legalBasisExplanation": "<string>",
          "subscriptionName": "<string>"
        }
      ],
      "subscriberIdString": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "statuses": [
        {
          "channel": "EMAIL",
          "source": "<string>",
          "subscriberIdString": "<string>",
          "subscriptionId": 123,
          "timestamp": "2023-11-07T05:31:56Z",
          "businessUnitId": 123,
          "legalBasisExplanation": "<string>",
          "subscriptionName": "<string>"
        }
      ],
      "subscriberIdString": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

channel
enum<string>
必須

絞り込み対象のコミュニケーションチャネルを示す必須の文字列。有効な値は「EMAIL」です。

利用可能なオプション:
EMAIL
businessUnitId
integer<int64>

ステータスを絞り込むためのビジネスユニットのID。整数です。

ボディ

application/json
inputs
string[]
必須

バッチ処理の入力を表す文字列のリスト。

レスポンス

successful operation

completedAt
string<date-time>
必須

バッチ処理が完了した日時。

results
object[]
必須

バッチ処理の結果の配列。それぞれに配信登録ステータス情報が含まれます。

startedAt
string<date-time>
必須

バッチ処理が始まった日時。

status
enum<string>
必須

次の値を取り得る、バッチ処理の現在のステータス:PENDING、PROCESSING、CANCELED、COMPLETE.

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチレスポンスに関連付けられた関連リンクのコレクション。

requestedAt
string<date-time>

バッチ要求が行われた日時。

最終更新日 2026年4月10日